#include <bits/stdc++.h>

using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin>>n;
    int a[n],b[n];
    long long ispis=0;
    for(int i=0;i<n;i++) cin>>a[i];
    for(int i=0;i<n;i++) cin>>b[i];
    for(int i=0;i<n;i++)
    {
        int niz1=a[i];
        int niz2=b[i];
        for(int j=i+1;j<n;j++)
        {
            niz1=niz1^a[j];
            niz2=niz2&b[j];
        }
        long long pom=niz1*niz2;
        ispis=max(ispis,pom);
    }
    cout<<ispis;
    return 0;
}